Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
QueueTest Class Reference
Inheritance diagram for QueueTest:

## Protected Member Functions
virtual void | SetUp ()
void | MapTester (const Queue< int > *q)
virtual void | SetUp ()
Protected Member Functions inherited from QuickTest
virtual void | TearDown ()
Protected Member Functions inherited from Test
| Test ()
| Test ()
| Test ()

## Static Protected Member Functions
static int | Double (int n)

## Protected Attributes
Queue< int > | q0_
Queue< int > | q1_
Queue< int > | q2_
Protected Attributes inherited from QuickTest
time_t | start_time_

## Additional Inherited Members
Public Types inherited from Test
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
Public Member Functions inherited from Test
virtual | ~Test ()
virtual | ~Test ()
virtual | ~Test ()
Static Public Member Functions inherited from Test
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)

## Member Function Documentation

static int Double | ( | int | n | ) |
| inline static protected

void MapTester | ( | const Queue< int > * | q | ) |
| inline protected

virtual void SetUp | ( |  | ) |
| inline protected virtual

Reimplemented from Test.

virtual void SetUp | ( |  | ) |
| inline protected virtual

Reimplemented from Test.

## Member Data Documentation

Queue< int > q0_
| protected

Queue< int > q1_
| protected

Queue< int > q2_
| protected

The documentation for this class was generated from the following files:

- testing/googleTest/samples/sample3_unittest.cc
- testing/googleTest/samples/sample5_unittest.cc